Page MenuHomePhabricator

elc_multibuttonentry: Role of MBE item, MBE updated, and state_set_get API added.
ClosedPublic

Authored by shilpasingh on May 30 2017, 8:12 AM.

Details

Summary

Reason for role change:
MBE items do not act like push buttons, they need to maintain their status and at a time only one item can be selected, they act like radio buttons.
Role change of MBE from entry to panel, because MBE is just a container and entry is one of the children, when entry gets access frame, it will work as how entry works, but making MBE role as entry does not work as expected and also MBE should not receive highlight as a whole but only its children should receive highlight one more reason why MBE role cannot be entry.
state_set_get API added to get items state.

Test Plan

When atspi mode is enabled the access frame has to
navigate directly on item and not on MBE as a whole and state has to
be read out

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
shilpasingh created this revision.May 30 2017, 8:12 AM
shilpasingh retitled this revision from elc_multibuttonentry: Improve ATSPI support to elc_multibuttonentry: Role of MBE item, MBE updated, and state_set_get API added..Jun 5 2017, 12:21 AM
shilpasingh edited the summary of this revision. (Show Details)
cedric accepted this revision.Jun 5 2017, 1:56 PM
This revision is now accepted and ready to land.Jun 5 2017, 1:56 PM
This revision was automatically updated to reflect the committed changes.
jpeg added a comment.Jun 14 2017, 6:13 PM

I'll assume this atspi role change was intended. But next time please make sure make check still works!

src/lib/elementary/elc_multibuttonentry.c
1761

Here.

In D4925#83533, @jpeg wrote:

I'll assume this atspi role change was intended. But next time please make sure make check still works!

I missed this part, next time I will make sure to not miss and review and build test cases before pushing a patch